# Objects diagrams reference

The Marketplace Platform enables transactions among [different actors](/marketplace-platform/platform-overview/key-concepts.md#actors), such as clients, partners, and vendors, in countries where SoftwareOne operates.&#x20;

The platform includes objects such as orders, subscriptions, and agreements, which represent a relationship between these actors and SoftwareOne. Each object contains workflows that are essential for different scenarios within the platform. These workflows are presented as state diagrams so you can understand and visualize them.&#x20;

The following links contain objects that may go through multiple statuses from the time they are created to entering a final state. Select each link to view the state diagram and a description of each state. Note that objects that don't have a status, like audit records, spotlight, and more, are not included on this page. &#x20;

<details>

<summary>Accounts API</summary>

* [Account](/developer-resources/rest-api/accounts-api/account/state-diagram.md)
* [API Token](/developer-resources/rest-api/accounts-api/api-tokens/token-state-diagram.md)
* [Buyer](/developer-resources/rest-api/accounts-api/buyer/buyer-state-diagram.md)
* [Group](/developer-resources/rest-api/accounts-api/user-groups/group-state-diagram.md)
* [Licensee](/developer-resources/rest-api/accounts-api/licensee/licensee-state-diagram.md)
* [Seller](/developer-resources/rest-api/accounts-api/seller/seller-state-diagram.md)
* [User](/developer-resources/rest-api/accounts-api/users/users-state-diagram.md)

</details>

<details>

<summary>Billing API</summary>

* [Credit Memo](/developer-resources/rest-api/billing-api/credit-memo/state-diagram.md)
* [Custom Ledger](/developer-resources/rest-api/billing-api/custom-ledger-object/state-diagram.md)
* [Invoice](/developer-resources/rest-api/billing-api/invoice/state-diagram.md)
* [Journal](/developer-resources/rest-api/billing-api/journal/state-diagram.md)
* [Statement](/developer-resources/rest-api/billing-api/statement/state-diagram.md)

</details>

<details>

<summary>Catalog API</summary>

* [Authorization](/developer-resources/rest-api/catalog-api/authorization/state-diagram.md)
* [Documentation](/developer-resources/rest-api/catalog-api/documentation/documentation-states.md)
* [Item](/developer-resources/rest-api/catalog-api/items/item-states.md)
* [Listing](/developer-resources/rest-api/catalog-api/listing/state-diagram.md)
* [Media](/developer-resources/rest-api/catalog-api/media/media-states.md)
* [Pricelist](/developer-resources/rest-api/catalog-api/pricelists/pricelist-states.md)
* [Pricelist Item](/developer-resources/rest-api/catalog-api/pricelist-item/pricelist-states.md)
* [Product](/developer-resources/rest-api/catalog-api/product/product-states.md)
* [Terms and Conditions](/developer-resources/rest-api/catalog-api/terms-and-conditions/terms-and-conditions-states.md)

</details>

<details>

<summary>Commerce API</summary>

* [Asset](/developer-resources/rest-api/commerce-api/assets/state-diagram.md)
* [Agreement](/developer-resources/rest-api/commerce-api/agreements/agreement-state-diagram.md)
* [Order](/developer-resources/rest-api/commerce-api/orders/order-state-diagram.md)
* [Request](/developer-resources/rest-api/commerce-api/requests/request-states.md)
* [Subscription](/developer-resources/rest-api/commerce-api/subscriptions/subscription-states.md)

</details>

<details>

<summary>Extensions API</summary>

* [Category](/developer-resources/rest-api/extensions-api/category/state-diagram.md)
* [Extension](/developer-resources/rest-api/extensions-api/extension/state-diagram.md)

</details>

<details>

<summary>Notifications API</summary>

* [Batch](/developer-resources/rest-api/notifications-api/batches/state-diagram.md)
* [Category](/developer-resources/rest-api/notifications-api/categories/state-diagram.md)
* [Contact](/developer-resources/rest-api/notifications-api/contacts/state-diagram.md)
* [Footer](/developer-resources/rest-api/notifications-api/footer/state-diagram.md)
* [Message](/developer-resources/rest-api/notifications-api/messages/notification-state-diagram.md)
* [Template](/developer-resources/rest-api/notifications-api/template/state-diagram.md)
* [Template Variant](/developer-resources/rest-api/notifications-api/template-variant/state-diagram.md)
* [Subscriber](/developer-resources/rest-api/notifications-api/subscribers/state-diagram.md)

</details>

<details>

<summary>Product and Vendor Profiles API</summary>

* [Category](/developer-resources/rest-api/product-and-vendor-profiles-api/category/state-diagram.md)
* [Industry](/developer-resources/rest-api/product-and-vendor-profiles-api/industry/state-diagram.md)
* [Product profile](/developer-resources/rest-api/product-and-vendor-profiles-api/product-profile/state-diagram.md)
* [Segment](/developer-resources/rest-api/product-and-vendor-profiles-api/segment/state-diagram.md)
* [Vendor profile](/developer-resources/rest-api/product-and-vendor-profiles-api/vendor-profile/state-diagram.md)

</details>

<details>

<summary>Program API</summary>

* [Certificates](/developer-resources/rest-api/program-api/certificate/certificate-state-diagram.md)
* [Enrollment](/developer-resources/rest-api/program-api/enrollment/enrollment-state-diagram.md)
* [Program](/developer-resources/rest-api/program-api/program/program-state-diagram.md)

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/object-diagrams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
